JBoss API: Class ServiceControl

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.util
Class ServiceControl

    java.lang.Object
      |
      +--org.jboss.util.ServiceControl

All Implemented Interfaces:
  javax.management.MBeanRegistration, Service, ServiceControlMBean

public class ServiceControl
extends java.lang.Object
implements ServiceControlMBean, javax.management.MBeanRegistration

ServiceControl manages the JBoss services lifecycle.

Version:
  $Revision: 1.9.4.1 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com), Hugo Pinto (mailto:hugo@hugopinto.com), Scott.Stark@jboss.org
See Also:
  `Service`

Field Summary
`static java.lang.String` | `OBJECT_NAME`

Constructor Summary
`ServiceControl()`

Method Summary
`void` | `destroy()`
`void` | `init()`
`void` | `postDeregister()`
`void` | `postRegister(java.lang.Boolean registrationDone)`
`void` | `preDeregister()`
`javax.management.ObjectName` | `preRegister(javax.management.MBeanServer server, javax.management.ObjectName name)`
`void` | `register(Service service)`
`void` | `start()`
`void` | `stop()`
`void` | `unregister(Service service)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OBJECT_NAME

    public static final java.lang.String OBJECT_NAME

Constructor Detail

### ServiceControl

    public ServiceControl()

Method Detail

### init

    public void init()
              throws java.lang.Exception

  Specified by:
    `init` in interface `Service`

### start

    public void start()
               throws java.lang.Exception

  Specified by:
    `start` in interface `Service`

### stop

    public void stop()

  Specified by:
    `stop` in interface `Service`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `Service`

### register

    public void register(Service service)

  Specified by:
    `register` in interface `ServiceControlMBean`

### unregister

    public void unregister(Service service)

  Specified by:
    `unregister` in interface `ServiceControlMBean`

### preRegister

    public javax.management.ObjectName preRegister(javax.management.MBeanServer server,
                                                   javax.management.ObjectName name)
                                            throws java.lang.Exception

  Specified by:
    `preRegister` in interface `javax.management.MBeanRegistration`

### postRegister

    public void postRegister(java.lang.Boolean registrationDone)

  Specified by:
    `postRegister` in interface `javax.management.MBeanRegistration`

### preDeregister

    public void preDeregister()
                       throws java.lang.Exception

  Specified by:
    `preDeregister` in interface `javax.management.MBeanRegistration`

### postDeregister

    public void postDeregister()

  Specified by:
    `postDeregister` in interface `javax.management.MBeanRegistration`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.